Pilot Down: Behind Enemy Lines

Informations

Creator Mensajes
Dadu042

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 2789
Wine:

Feedbacks

Description

A mix of stealth and survival game. 2005. Appdb.winehq.org

Known issues (2019-12): no musics nor video cutscenes (perhaps there is no cutscenes).

Screenshots

Miniature

Source code

#!/bin/bash
# Date : (2020-01-03)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: DVD multi5 Europe (july 2005 is the latest files date).
#
# Middlewares used by this software : Dotnet, DirectX 9, MIDI musics.
#
# CHANGELOG
# [Dadu042] (2020-01-03)
#   First script (Wine 4.0.3).
#
# KNOWN ISSUES:
#  - Wine amd64 4.0.3, 4.21, 5.0-rc3: No musics, but sound OK. Tried: directmusic, alsa, quartz, dsound, xact.
#  - Wine amd64 4.0.3, 4.21, 5.0-rc3: No intro videos (is there some ?).
#  - Wine amd64 4.0.3, 4.21, 5.0-rc3: some 3D jerkiness when moving the view with the Mouse (GPU Intel HD 4400).
#
# KNOWN ISSUES (FIXED):
#  - Wine amd64 4.0.3, 4.21, 5.0-rc3: Mouse does not work at all. Tried: dinput. Fix: run 'PDLauncher_f.exe' instead of 'BEL.exe'.


# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
     
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
        
TITLE="Pilot Down: Behind Enemy Lines"
PREFIX="Pilot_Down"
EDITOR="Oxygen"
GAME_URL="https://en.wikipedia.org/wiki/Oxygen_Games"
AUTHOR="Dadu042"
STEAM_ID=""
# WORKING_WINE_VERSION=""
GAME_VMS="256"
SHORTCUT_FILENAME="PDLauncher*.exe"
SOFTWARE_CATEGORIES="Game;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="ReadMe_e.txt"
   
# Starting the script
POL_SetupWindow_Init
           
# Starting debugging API
POL_Debug_Init
          
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
        
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
        
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
         
POL_RequiredVersion "4.0.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
          
# Determine Architecture
POL_System_SetArch "amd64"
# POL_System_SetArch "x86"
     
# Downloading wine if necessary and creating prefix
# POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
POL_Wine_PrefixCreate
        
Set_OS "winxp"
   
#######################################
#  Installing mandatory dependencies  #
#######################################

# POL_Call POL_Install_mfc42
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
   
   
################
#      GPU     #
################

# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
 
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
   
   
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
   
   
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "DVD,LOCAL"
    
# POL_SetupWindow_message "Warning: do not install DirectX." "$TITLE"

# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
        
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_SetupWindow_cdrom
        
        # POL_Call POL_Function_NoCDWarning
 
        POL_SetupWindow_check_cdrom "PD.ico"
        POL_Wine start /unix "$CDROM/setup.exe" "/SILENT"
        POL_Wine_WaitExit "setup.exe"
    
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
       
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
        
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://launcher.buildandshoot.com/Build%20and%20Shoot%201.2%20Setup.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"

        POL_Wine "Build and Shoot 1.2 Setup.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
    
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
    
        # POL_Shortcut "l.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
   
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.EXE')~$(eval_gettext '.RAR')" "~"
        # APP_ANSWER=".EXE"
   
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
     
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                 
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
   
################
# Patch update #
################
   
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"

if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
   
   
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
   
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"

# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"

POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Mensajes
Dadu042 Friday 3 January 2020 at 12:29
Dadu042

Information

This update has been approved by the team.

Mensajes

Tested 5 min.

Differences

@@ -0,0 +1,218 @@
+#!/bin/bash
+# Date : (2020-01-03)
+# Last revision : see the changelog below
+# Wine version used : see the changelog below
+# Distribution used to test : XUbuntu 18.04 x64
+# Author : Dadu042
+# Licence : Retail
+# Only For : http://www.playonlinux.com
+#
+# TESTED Editions: DVD multi5 Europe (july 2005 is the latest files date).
+#
+# Middlewares used by this software : Dotnet, DirectX 9, MIDI musics.
+#
+# CHANGELOG
+# [Dadu042] (2020-01-03)
+#   First script (Wine 4.0.3).
+#
+# KNOWN ISSUES:
+#  - Wine amd64 4.0.3, 4.21, 5.0-rc3: No musics, but sound OK. Tried: directmusic, alsa, quartz, dsound, xact.
+#  - Wine amd64 4.0.3, 4.21, 5.0-rc3: No intro videos (is there some ?).
+#  - Wine amd64 4.0.3, 4.21, 5.0-rc3: some 3D jerkiness when moving the view with the Mouse (GPU Intel HD 4400).
+#
+# KNOWN ISSUES (FIXED):
+#  - Wine amd64 4.0.3, 4.21, 5.0-rc3: Mouse does not work at all. Tried: dinput. Fix: run 'PDLauncher_f.exe' instead of 'BEL.exe'.
+
+
+# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
+     
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+        
+TITLE="Pilot Down: Behind Enemy Lines"
+PREFIX="Pilot_Down"
+EDITOR="Oxygen"
+GAME_URL="https://en.wikipedia.org/wiki/Oxygen_Games"
+AUTHOR="Dadu042"
+STEAM_ID=""
+# WORKING_WINE_VERSION=""
+GAME_VMS="256"
+SHORTCUT_FILENAME="PDLauncher*.exe"
+SOFTWARE_CATEGORIES="Game;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+DOCUMENT_FILE="ReadMe_e.txt"
+   
+# Starting the script
+POL_SetupWindow_Init
+           
+# Starting debugging API
+POL_Debug_Init
+          
+# Open dialogue box 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+        
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+        
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
+         
+POL_RequiredVersion "4.0.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+    
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+          
+# Determine Architecture
+POL_System_SetArch "amd64"
+# POL_System_SetArch "x86"
+     
+# Downloading wine if necessary and creating prefix
+# POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+POL_Wine_PrefixCreate
+        
+Set_OS "winxp"
+   
+#######################################
+#  Installing mandatory dependencies  #
+#######################################
+
+# POL_Call POL_Install_mfc42
+# POL_Call POL_Install_dsound
+# POL_Call POL_Install_riched30
+# POL_Call POL_Install_phzysx
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_d3dx11
+# POL_Call POL_Install_mono210
+   
+   
+################
+#      GPU     #
+################
+
+# Set Graphic Card information keys for wine
+POL_Wine_SetVideoDriver
+
+# Asking about memory size of graphic card
+POL_SetupWindow_VMS $GAME_VMS
+ 
+# Useful for Nvidia GPUs
+# POL_Call POL_Install_physx
+   
+   
+#############################################
+#  Sound problem fix - pulseaudio related   #
+#############################################
+# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
+# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
+## End Fix
+   
+   
+# Choose between Steam and other Digital Download versions
+# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
+POL_SetupWindow_InstallMethod "DVD,LOCAL"
+    
+# POL_SetupWindow_message "Warning: do not install DirectX." "$TITLE"
+
+# Begin game installation
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
+        # Shortcut done before install for steam version
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+        
+elif [ "$INSTALL_METHOD" == "DVD" ]; then
+        POL_SetupWindow_cdrom
+        
+        # POL_Call POL_Function_NoCDWarning
+ 
+        POL_SetupWindow_check_cdrom "PD.ico"
+        POL_Wine start /unix "$CDROM/setup.exe" "/SILENT"
+        POL_Wine_WaitExit "setup.exe"
+    
+        # Restore screen resolution (game's default is 800x600 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+       
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+        
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
+        cd "$WINEPREFIX/drive_c"
+        POL_Download "http://launcher.buildandshoot.com/Build%20and%20Shoot%201.2%20Setup.exe"
+        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+
+        POL_Wine "Build and Shoot 1.2 Setup.exe" # "/SILENT"
+        POL_Wine_WaitBefore "$TITLE"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+    
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+    
+        # POL_Shortcut "l.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+   
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.EXE')~$(eval_gettext '.RAR')" "~"
+        # APP_ANSWER=".EXE"
+   
+if [ "$APP_ANSWER" == ".EXE" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$SETUP_EXE"
+        POL_Wine_WaitExit "$TITLE"
+     
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+     
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+    
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+                 
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+fi
+fi
+   
+################
+# Patch update #
+################
+   
+# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
+
+if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
+        PATCH_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$PATCH_EXE"
+        POL_Wine_WaitExit "$PATCH_EXE"
+fi
+   
+   
+# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
+   
+POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+
+# Fail ?
+# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
+
+POL_SetupWindow_Close
+exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2020-01-03)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : XUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: DVD multi5 Europe (july 2005 is the latest files date).
#
# Middlewares used by this software : Dotnet, DirectX 9, MIDI musics.
#
# CHANGELOG
# [Dadu042] (2020-01-03)
#   First script (Wine 4.0.3).
#
# KNOWN ISSUES:
#  - Wine amd64 4.0.3, 4.21, 5.0-rc3: No musics, but sound OK. Tried: directmusic, alsa, quartz, dsound, xact.
#  - Wine amd64 4.0.3, 4.21, 5.0-rc3: No intro videos (is there some ?).
#  - Wine amd64 4.0.3, 4.21, 5.0-rc3: some 3D jerkiness when moving the view with the Mouse (GPU Intel HD 4400).
#
# KNOWN ISSUES (FIXED):
#  - Wine amd64 4.0.3, 4.21, 5.0-rc3: Mouse does not work at all. Tried: dinput. Fix: run 'PDLauncher_f.exe' instead of 'BEL.exe'.


# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
     
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
        
TITLE="Pilot Down: Behind Enemy Lines"
PREFIX="Pilot_Down"
EDITOR="Oxygen"
GAME_URL="https://en.wikipedia.org/wiki/Oxygen_Games"
AUTHOR="Dadu042"
STEAM_ID=""
# WORKING_WINE_VERSION=""
GAME_VMS="256"
SHORTCUT_FILENAME="PDLauncher*.exe"
SOFTWARE_CATEGORIES="Game;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE="ReadMe_e.txt"
   
# Starting the script
POL_SetupWindow_Init
           
# Starting debugging API
POL_Debug_Init
          
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
        
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
        
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
         
POL_RequiredVersion "4.0.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
    
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
          
# Determine Architecture
POL_System_SetArch "amd64"
# POL_System_SetArch "x86"
     
# Downloading wine if necessary and creating prefix
# POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
POL_Wine_PrefixCreate
        
Set_OS "winxp"
   
#######################################
#  Installing mandatory dependencies  #
#######################################

# POL_Call POL_Install_mfc42
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_phzysx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
   
   
################
#      GPU     #
################

# Set Graphic Card information keys for wine
POL_Wine_SetVideoDriver

# Asking about memory size of graphic card
POL_SetupWindow_VMS $GAME_VMS
 
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
   
   
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
   
   
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "DVD,LOCAL"
    
# POL_SetupWindow_message "Warning: do not install DirectX." "$TITLE"

# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
        
elif [ "$INSTALL_METHOD" == "DVD" ]; then
        POL_SetupWindow_cdrom
        
        # POL_Call POL_Function_NoCDWarning
 
        POL_SetupWindow_check_cdrom "PD.ico"
        POL_Wine start /unix "$CDROM/setup.exe" "/SILENT"
        POL_Wine_WaitExit "setup.exe"
    
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
       
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
        
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
        POL_Download "http://launcher.buildandshoot.com/Build%20and%20Shoot%201.2%20Setup.exe"
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"

        POL_Wine "Build and Shoot 1.2 Setup.exe" # "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
    
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
    
        # POL_Shortcut "l.exe" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
   
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.EXE')~$(eval_gettext '.RAR')" "~"
        # APP_ANSWER=".EXE"
   
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
     
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
    
elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
                 
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi
   
################
# Patch update #
################
   
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?\n (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"

if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
   
   
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
   
POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"

# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"

POL_SetupWindow_Close
exit 0

Respuestas

Friday 3 January 2020 at 23:32
About the missing MIDI music, I should retry with enabling ALSA, then installing DirectMusic.
Friday 3 January 2020 at 23:41
I still have the same 3D jerkiness issue with a Nvidia Geforce GTX 950M (and after set VMS 1024 MB).

This site allows content generated by members, and we promptly remove any content that infringes copyright according to our Terms of Service. To report copyright infringement, please send a notice to dmca-notice@playonlinux.com